"""Add missing cascade to user_webhook_delivery

Revision ID: 05d2bf490d9a
Revises: 0f4204d831be
Create Date: 2025-07-08 10:11:29.252208

"""

# revision identifiers, used by Alembic.
revision = '05d2bf490d9a'
down_revision = '0f4204d831be'

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("""
    ALTER TABLE user_webhook_delivery
    DROP CONSTRAINT user_webhook_delivery_subscription_id_fkey;

    ALTER TABLE user_webhook_delivery
    ADD CONSTRAINT user_webhook_delivery_subscription_id_fkey
    FOREIGN KEY (subscription_id) REFERENCES user_webhook_subscription(id) ON DELETE CASCADE;

    ALTER TABLE repo_webhook_delivery
    DROP CONSTRAINT repo_webhook_delivery_subscription_id_fkey;

    ALTER TABLE repo_webhook_delivery
    ADD CONSTRAINT repo_webhook_delivery_subscription_id_fkey
    FOREIGN KEY (subscription_id) REFERENCES repo_webhook_subscription(id) ON DELETE CASCADE;
    """)


def downgrade():
    op.execute("""
    ALTER TABLE user_webhook_delivery
    DROP CONSTRAINT user_webhook_delivery_subscription_id_fkey;

    ALTER TABLE user_webhook_delivery
    ADD CONSTRAINT user_webhook_delivery_subscription_id_fkey
    FOREIGN KEY (subscription_id) REFERENCES user_webhook_subscription(id);

    ALTER TABLE repo_webhook_delivery
    DROP CONSTRAINT repo_webhook_delivery_subscription_id_fkey;

    ALTER TABLE repo_webhook_delivery
    ADD CONSTRAINT repo_webhook_delivery_subscription_id_fkey
    FOREIGN KEY (subscription_id) REFERENCES repo_webhook_subscription(id);
    """)
